@use 'partials/variables/profile';
@use 'partials/classes/round-button';
@use 'partials/mixins/button-width';
@use 'partials/classes/stroked-button-border-color';

.edit-contact-container {
  display: flex;
  flex-direction: column;
  gap: profile.$profile-card-gap;
  max-height: 100vh;
  overflow-y: auto;
}

.content-container {
  display: flex;
  flex-direction: column;
  gap: profile.$profile-card-gap;
}

.headline {
  padding: 0 profile.$profile-card-padding;
}

.row-container {
  display: flex;
  flex-flow: row wrap;
  gap: profile.$profile-card-gap;
  padding: 0 profile.$profile-card-padding profile.$profile-card-padding;
}

.grow-one {
  flex-grow: 1;
}

.street-name {
  flex: 2 1 250px;
}

.street-number {
  flex: 1 2 155px;
}

.zip-code {
  flex: 1 2 125px;
}

.place-name {
  flex: 2 1 290px;
}

.button-container {
  display: flex;
  flex-flow: row wrap-reverse;
  justify-content: space-around;
  align-items: center;
  gap: profile.$profile-card-gap;
  padding: 10px profile.$profile-card-padding;

}

button {
  @include button-width.set-button-width(123px);
  padding: profile.$profile-button-padding;
}
